<div class="container mt-4">
  <div class="col-md-6 offset-md-3">
    <div class="card">
      <div class="card-body">
        <h2>Makers Chile</h2>
        <p>Login</p>

        <form [formGroup]="loginForm" (ngSubmit)="onSubmit()">
          <div class="form-group">
            <label for="email">Correo</label>
            <input type="email" formControlName="email" class="form-control" name="email" id="email" placeholder="">
            <div *ngIf="submitted && f.email.errors" class="invalid-feedback">
              <div *ngIf="f.email.errors.required">El correo es requerido</div>
              <div *ngIf="f.email.errors.email">Debes ingresar un correo valido</div>
            </div>
          </div>
          <div class="form-group">
            <label for="password">Contraseña</label>
            <input type="password" formControlName="password" class="form-control" id="password" placeholder="">
            <div *ngIf="submitted && f.password.errors" class="invalid-feedback">
              <div *ngIf="f.password.errors.required">La contraseña es requerida</div>
              <div *ngIf="f.password.errors.minlength">La contraseña debe tener al menos 6 caracteres</div>
            </div>
          </div>
          <div class="form-group">
            <a href="/sign-in">Crear nueva cuenta</a>
          </div>
          <button type="submit" class="btn btn-primary" >
            Enviar
          </button>
        </form>
      </div>
    </div>
  </div>
</div>